Subject: Re: [RFC/PATCH 1/3] gitweb: make suspenders more useful

From: Mark Rada <[email-masked]>
Date: Sun, 23 Aug 2009 18:39:14 -0400

On 23/08/09 6:10 PM, Sam Vilain wrote:
> Mark Rada wrote:
>> Subject: [RFC/PATCH 1/3] gitweb: make suspenders more useful
> 
> Suspenders?  Really?
> 
> Sam
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

Context:

On 21/08/09 5:43 PM, Junio C Hamano wrote:
> Mark A Rada <[email-masked]> writes:
> 
>> Unless I missed a case, the tests show that the extra condition check
>> that was added in the &git_snapshot routine is never actually executed,
>> because a disabled snapshot format is not added to @snapshot_fmts, which
>> is checked first.
>>
>> snippet:
>> 5178     } elsif (!grep($_ eq $format, @snapshot_fmts)) {
>> 5179         die_error(403, "Unsupported snapshot format");
>> 5180     } elsif ($known_snapshot_formats{$format}{'disabled'}) {
>> 5181         die_error(403, "Snapshot format not allowed");
>> 5182     }
>> 5183
> 
> True; filter_snapshot_fmts looks at 'disabled' first.
> 
> I do not mind keeping these two lines as belt-and-suspender, though.
> 

Yup...I couldn't think of an appropriate title and I expect this
patch to be edited (for another reason) or thrown out anyways.

-- 
Mark A Rada (ferrous26)
[email-masked]